# Uses of Interface
org.eclipse.birt.chart.model.data.DataPackage

Packages that use DataPackage
Package
Description
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.

## Uses of DataPackage in org.eclipse.birt.chart.model.data

Fields in org.eclipse.birt.chart.model.data declared as DataPackage
Modifier and Type
Field
Description
`static final DataPackage`
DataPackage.`eINSTANCE`
The singleton instance of the package.
Methods in org.eclipse.birt.chart.model.data that return DataPackage
Modifier and Type
Method
Description
`DataPackage`
DataFactory.`getDataPackage()`
Returns the package supported by this factory.

## Uses of DataPackage in org.eclipse.birt.chart.model.data.impl

Classes in org.eclipse.birt.chart.model.data.impl that implement DataPackage
Modifier and Type
Class
Description
`class`
`DataPackageImpl`
An implementation of the model Package .
Methods in org.eclipse.birt.chart.model.data.impl that return DataPackage
Modifier and Type
Method
Description
`DataPackage`
DataFactoryImpl.`getDataPackage()`
`static DataPackage`
DataFactoryImpl.`getPackage()`
Deprecated.
`static DataPackage`
DataPackageImpl.`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.